%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define applewm_version 1.4.2
%define bigreqs_version 1.1.2
%define composite_version 0.4.2
%define damage_version 1.2.1
%define dmx_version 2.3.1
%define dri2_version 2.8
%define dri3_version 1.0
%define evieext_version 1.1.1
%define fixes_version 5.0
%define fontcache_version 0.1.3
%define fonts_version 2.1.3
%define gl_version 1.4.17
%define input_version 2.3.1
%define kb_version 1.0.5
%define print_version 1.0.5
%define present_version 1.0
%define randr_version 1.4.0
%define record_version 1.14.2
%define render_version 0.11.1
%define resource_version 1.2.0
%define scrnsaver_version 1.2.2
%define trap_version 3.4.3
%define video_version 2.3.2
%define vnc_version 1.0.0
%define windowswm_version 1.0.4
%define xcmisc_version 1.2.2
%define xext_version 7.3.0
%define xf86bigfont_version 1.2.0
%define xf86dga_version 2.1
%define xf86dri_version 2.1.1
%define xf86misc_version 0.9.3
%define xf86vidmode_version 2.3.1
%define xinerama_version 1.2.1
%define xproto_version 7.0.26
%define xproxymanagement_version 1.0.3
%define xcb_version 1.11

Name: x11-proto-devel
Summary: Xorg X11 protocol specification headers
Version: 7.7
Release: %mkrel 14
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/proto/applewmproto-%{applewm_version}.tar.bz2
Source1: http://xorg.freedesktop.org/releases/individual/proto/bigreqsproto-%{bigreqs_version}.tar.bz2
Source2: http://xorg.freedesktop.org/releases/individual/proto/compositeproto-%{composite_version}.tar.bz2
Source3: http://xorg.freedesktop.org/releases/individual/proto/damageproto-%{damage_version}.tar.bz2
Source4: http://xorg.freedesktop.org/releases/individual/proto/dmxproto-%{dmx_version}.tar.bz2
Source5: http://xorg.freedesktop.org/releases/individual/proto/evieext-%{evieext_version}.tar.bz2
Source6: http://xorg.freedesktop.org/releases/individual/proto/fixesproto-%{fixes_version}.tar.bz2
Source7: http://xorg.freedesktop.org/releases/individual/proto/fontcacheproto-%{fontcache_version}.tar.bz2
Source8: http://xorg.freedesktop.org/releases/individual/proto/fontsproto-%{fonts_version}.tar.bz2
Source9: http://xorg.freedesktop.org/releases/individual/proto/glproto-%{gl_version}.tar.bz2
Source10: http://xorg.freedesktop.org/releases/individual/proto/inputproto-%{input_version}.tar.bz2
Source11: http://xorg.freedesktop.org/releases/individual/proto/kbproto-%{kb_version}.tar.bz2
Source12: http://xorg.freedesktop.org/releases/individual/proto/printproto-%{print_version}.tar.bz2
Source13: http://xorg.freedesktop.org/releases/individual/proto/randrproto-%{randr_version}.tar.bz2
Source14: http://xorg.freedesktop.org/releases/individual/proto/recordproto-%{record_version}.tar.bz2
Source15: http://xorg.freedesktop.org/releases/individual/proto/renderproto-%{render_version}.tar.bz2
Source16: http://xorg.freedesktop.org/releases/individual/proto/resourceproto-%{resource_version}.tar.bz2
Source17: http://xorg.freedesktop.org/releases/individual/proto/scrnsaverproto-%{scrnsaver_version}.tar.bz2
Source18: http://xorg.freedesktop.org/releases/individual/proto/trapproto-%{trap_version}.tar.bz2
Source19: http://xorg.freedesktop.org/releases/individual/proto/videoproto-%{video_version}.tar.bz2
Source20: http://xorg.freedesktop.org/releases/individual/proto/windowswmproto-%{windowswm_version}.tar.bz2
Source21: http://xorg.freedesktop.org/releases/individual/proto/xcmiscproto-%{xcmisc_version}.tar.bz2
Source22: http://xorg.freedesktop.org/releases/individual/proto/xextproto-%{xext_version}.tar.bz2
Source23: http://xorg.freedesktop.org/releases/individual/proto/xf86bigfontproto-%{xf86bigfont_version}.tar.bz2
Source24: http://xorg.freedesktop.org/releases/individual/proto/xf86dgaproto-%{xf86dga_version}.tar.bz2
Source25: http://xorg.freedesktop.org/releases/individual/proto/xf86driproto-%{xf86dri_version}.tar.bz2
Source26: http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-%{xf86misc_version}.tar.bz2
Source27: http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-%{xf86vidmode_version}.tar.bz2
Source28: http://xorg.freedesktop.org/releases/individual/proto/xineramaproto-%{xinerama_version}.tar.bz2
Source29: http://xorg.freedesktop.org/releases/individual/proto/xproto-%{xproto_version}.tar.bz2
Source30: http://xorg.freedesktop.org/releases/individual/proto/xproxymanagementprotocol-%{xproxymanagement_version}.tar.bz2
Source31: http://xf4vnc.sf.net/vncproto-%{vnc_version}.tar.bz2
Source32: http://xcb.freedesktop.org/dist/xcb-proto-%{xcb_version}.tar.bz2
Source33: http://xorg.freedesktop.org/releases/individual/proto/dri2proto-%{dri2_version}.tar.bz2
Source34: http://xorg.freedesktop.org/releases/individual/proto/dri3proto-%{dri3_version}.tar.bz2
Source35: http://xorg.freedesktop.org/releases/individual/proto/presentproto-%{present_version}.tar.bz2
Patch0: presentproto-0001-Force-Window-and-Pixmap-to-be-CARD32-on-the-wire.patch

BuildRequires: x11-util-macros >= 1.0.1

%if !%{bootstrap}
# For docs:
BuildRequires: docbook-dtd412-xml
BuildRequires: docbook-dtd45-xml
BuildRequires: docbook-style-xsl 
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: x11-sgml-doctools
%endif

# (cg) As previously noted by gw, requiring libxt-devel and libxau-devel
# creates a circular dependancy. This can cause problems when building e.g.
# libx11 as it requires itself. When libxcb changed and droped a provided library
# libx11 could not be rebuilt due to this problem.
#
# In order to build libx11 without the circular problem, it is necessary
# to submit a bootstrapping version of this package that contains the minimal
# (manual) pkgconfig() provides as commented below, and disable the 
# BuildRequires on libxt-devel and libxau-devel.
# After libx11 is built and available, this package should be reverted.
#if %bootstrap
#Provides: pkgconfig(xproto) pkgconfig(kbproto) pkgconfig(renderproto)
#else
#BuildRequires: libxt-devel
#BuildRequires: libxau-devel
#endif
BuildRequires: python
%define oldxorgnamedevel  %mklibname xorg-x11
Conflicts: %{oldxorgnamedevel}-devel < 7.0
Conflicts: libxext6-devel <= 1.0.99.3-1mdv2010.0

%description
X.Org X11 Protocol headers

#-----------------------------------------------------------

%package -n x11-proto-doc

Summary: Documentation for the X11 protocol and extensions
Group:   Development/X11
BuildArch:	noarch

# Old proto-devel versions had some docs:
Conflicts: x11-proto-devel <= 7.6-0.3mdv2011.0

%description -n x11-proto-doc
Documentation for the X11 protocol and extensions.

#-----------------------------------------------------------

%prep
%setup -q -c x11-proto-devel -b1 -b2 -b3 -b4 -b5 -b6 -b7 -b8 -b9 -b10 -b11 -b12 -b13 -b14 -b15 -b16 -b17 -b18 -b19 -b20 -b21 -b22 -b23 -b24 -b25 -b26 -b27 -b28 -b29 -b30 -b31 -b32 -b33 -b34 -b35

pushd presentproto-*
%patch0 -p1
popd

%build
# vncproto is from cvs
pushd vncproto-*
aclocal
automake -a -c
autoconf
popd

for dir in *; do
pushd $dir
%configure2_5x --without-fop
%make
popd
done

%install
for dir in *; do
    if [ -d $dir ]; then
	pushd $dir
	%makeinstall_std
	popd
    fi
done

# kill Xprint manpage since it clearly doesn't belong to printproto:
rm -rf %{buildroot}/%{_mandir}/man7/Xprint*

%files
%dir %{_datadir}/xcb
%{_includedir}/GL/glx*
%{_includedir}/GL/internal/*
%{_includedir}/X11/*.h
%{_includedir}/X11/dri/*
%{_includedir}/X11/extensions/*
%{_includedir}/X11/fonts/*
%{_includedir}/X11/PM/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/xcb/*
# xcbgen stuff
%{python_sitelib}/xcbgen/__init__.py
%{python_sitelib}/xcbgen/__init__.pyc
%{python_sitelib}/xcbgen/__init__.pyo
%{python_sitelib}/xcbgen/error.py
%{python_sitelib}/xcbgen/error.pyc
%{python_sitelib}/xcbgen/error.pyo
%{python_sitelib}/xcbgen/expr.py
%{python_sitelib}/xcbgen/expr.pyc
%{python_sitelib}/xcbgen/expr.pyo
%{python_sitelib}/xcbgen/matcher.py
%{python_sitelib}/xcbgen/matcher.pyc
%{python_sitelib}/xcbgen/matcher.pyo
%{python_sitelib}/xcbgen/state.py
%{python_sitelib}/xcbgen/state.pyc
%{python_sitelib}/xcbgen/state.pyo
%{python_sitelib}/xcbgen/xtypes.py
%{python_sitelib}/xcbgen/xtypes.pyc
%{python_sitelib}/xcbgen/xtypes.pyo

%files -n x11-proto-doc
%{_datadir}/doc/bigreqsproto
%{_datadir}/doc/compositeproto
%{_datadir}/doc/damageproto
%{_datadir}/doc/dri2proto/dri2proto.txt
%{_datadir}/doc/dri3proto/dri3proto.txt
%{_datadir}/doc/fixesproto
%{_datadir}/doc/fontsproto
%{_datadir}/doc/inputproto
%{_datadir}/doc/presentproto/presentproto.txt
%{_datadir}/doc/randrproto
%{_datadir}/doc/recordproto
%{_datadir}/doc/renderproto
%{_datadir}/doc/resourceproto/resproto.txt
%{_datadir}/doc/scrnsaverproto
%{_datadir}/doc/videoproto
%{_datadir}/doc/xcmiscproto
%{_datadir}/doc/xextproto
%{_datadir}/doc/xproxymanagementprotocol
%{_datadir}/doc/xproto


%changelog
* Sat Nov 29 2014 sander85 <sander85> 7.7-14.mga5
+ Revision: 799881
- Drop unneeded BR on fop

* Wed Oct 15 2014 umeabot <umeabot> 7.7-13.mga5
+ Revision: 742745
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.7-12.mga5
+ Revision: 690521
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 blino <blino> 7.7-11.mga5
+ Revision: 666114
- backport upstream presentproto patch to fix client libs on 64-bit machines

* Mon Aug 04 2014 blino <blino> 7.7-10.mga5
+ Revision: 659672
- xcb-proto 1.11
- buildrequire asciidoc to build inputproto doc
- remove docbook5-style-xsl buildrequire (a local build succeeds without it)

* Mon Jun 02 2014 tv <tv> 7.7-9.mga5
+ Revision: 630590
- inputproto 2.3.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Apr 14 2014 tv <tv> 7.7-7.mga5
+ Revision: 614257
- xproto 7.0.26

* Mon Apr 14 2014 tv <tv> 7.7-6.mga5
+ Revision: 614145
- fonts-proto 2.1.3

* Tue Feb 04 2014 tv <tv> 7.7-5.mga5
+ Revision: 581923
- adjust file list
- do package present proto

* Tue Feb 04 2014 tv <tv> 7.7-4.mga5
+ Revision: 581723
- glproto 1.4.17

* Tue Feb 04 2014 tv <tv> 7.7-3.mga5
+ Revision: 581613
- adjust file list
- dri3proto 1.0
- xcb-proto 1.10
- xextproto 7.3.0
- xproto 7.0.25

* Sat Oct 19 2013 umeabot <umeabot> 7.7-3.mga4
+ Revision: 530656
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 tv <tv> 7.7-2.mga4
+ Revision: 458822
- videoproto 2.3.2

* Thu May 23 2013 tv <tv> 7.7-1.mga4
+ Revision: 425285
- adjust file list
- bump to 7.7
- inputproto 2.3
- xproto-7.0.24
- bump to 7.7
- inputproto 2.3
- xproto-7.0.24

* Fri Feb 08 2013 luigiwalser <luigiwalser> 7.6-24.mga3
+ Revision: 397212
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 7.6-23.mga3
+ Revision: 386385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 05 2012 tv <tv> 7.6-22.mga3
+ Revision: 302964
- xcb-proto 1.8

* Mon Jul 23 2012 tv <tv> 7.6-21.mga3
+ Revision: 273822
- gl 1.4.16
- randr 1.4.0

* Thu Jul 12 2012 tv <tv> 7.6-20.mga3
+ Revision: 270197
- dri2proto 2.8

* Tue May 29 2012 tv <tv> 7.6-19.mga3
+ Revision: 249368
- bigreqs_version 1.1.1
- fonts_version 2.1.1
- record_version 1.14.1
- scrnsaver_version 1.2.1
- xcmisc_version 1.2.1
- xext_version 7.2.0
- xproto_version 7.0.22

* Mon May 28 2012 colin <colin> 7.6-18.mga3
+ Revision: 248390
- Bump inputproto to 2.2

* Wed Feb 01 2012 tv <tv> 7.6-17.mga2
+ Revision: 203747
- input_version 2.1

* Tue Jan 31 2012 tv <tv> 7.6-16.mga2
+ Revision: 203676
- reenable doc

* Sun Jan 29 2012 tv <tv> 7.6-15.mga2
+ Revision: 203072
- glproto-1.4.15
- temporary disable docs

* Sat Jan 28 2012 fwang <fwang> 7.6-14.mga2
+ Revision: 202575
- disable fop build
- add ore br

  + tv <tv>
    - BR?\194?\160docbook-style-xsl
    - update xcb-proto to 1.7
    - make the huge doc subpackage be noarch

* Thu Jun 30 2011 tv <tv> 7.6-12.mga2
+ Revision: 116233
- update file list
- glproto-1.4.14
- dri2proto-2.6

* Wed Jun 29 2011 tv <tv> 7.6-11.mga2
+ Revision: 116153
- xproto-7.0.22

* Fri Jun 17 2011 tv <tv> 7.6-10.mga2
+ Revision: 108553
- fix file list
- inputproto-2.0.2
- resourceproto-1.2.0

* Tue Apr 12 2011 tv <tv> 7.6-9.mga1
+ Revision: 83565
- applewmproto-1.4.2
- fixesproto-5.0

* Fri Apr 01 2011 tv <tv> 7.6-8.mga1
+ Revision: 79629
- xproto 7.0.21

* Tue Mar 01 2011 tv <tv> 7.6-7.mga1
+ Revision: 62134
- xextproto-7.2.0

* Fri Jan 28 2011 dmorgan <dmorgan> 7.6-6.mga1
+ Revision: 43007
- Disable bootstrap

  + rtp <rtp>
    - disable fop on arm/mips as it's using java

* Mon Jan 17 2011 blino <blino> 7.6-5.mga1
+ Revision: 20920
- build with bootstrap again (and with new python)
- rebuild without bootstrap

* Tue Jan 11 2011 dmorgan <dmorgan> 7.6-4.mga1
+ Revision: 6363
- Remove workaround

* Tue Jan 11 2011 dmorgan <dmorgan> 7.6-3.mga1
+ Revision: 6333
- Fix else statement
- Bump release
- Enable the provides for the moment

* Tue Jan 11 2011 dmorgan <dmorgan> 7.6-2.mga1
+ Revision: 6322
- Rebuild

* Tue Jan 11 2011 dmorgan <dmorgan> 7.6-1.mga1
+ Revision: 6266
- Fix file List
- Fix file List
- Do not build docs for now
- imported package x11-proto-devel

